<?php
error_reporting(E_ALL);
ini_set('display_errors', 0 );
header('Content-Type: text/html; charset=utf-8');
include("../configuracao.php");//confirma no banco de dados
include("../inclusos/funcoes.php");
include("../seguranca.php"); // Inclui o arquivo com o sistema de seguran?a
protegePagina(); // Protege a página

//CAMPOS DE ORIGEM

$origem = $_GET['origem'];
$idcliente = $_GET['idcliente'];
$idfornecedor = $_GET['idfornecedor'];
$idusuario = $_GET['idusuario'];
$idvenda = $_GET['idvenda'];
$idconta = $_GET['idconta'];
$idpagamento = $_GET['idpagamento'];
$idmovimento = $_GET['idmovimento'];
$idcompra_prima = $_GET['idcompra_prima'];
$idcompra = $_GET['idcompra'];
$idobra = $_GET['idobra'];
$idservicovenda = $_GET['idservicovenda'];
$idservicoobra = $_GET['idservicoobra'];
$idpasta = $_GET['idpasta'];
$idsubpasta = $_GET['idsubpasta'];
$idreembolso = $_GET['idreembolso'];



// Quando a ação for para remover anexo
if ($_POST['acao'] == 'removeAnexo')
{
 
    // Recuperando nome do arquivo
    $arquivo = $_POST['arquivo'];
	//REMOVE DA BASE DE DADOS
	$deletar = mysql_query("DELETE FROM arquivos WHERE arquivo='$arquivo'") or die (mysql_error());	
				
    // Caminho dos uploads
    $caminho = 'uploads/';
    // Verificando se o arquivo realmente existe
    if (file_exists($caminho . $arquivo) and !empty($arquivo))
        // Removendo arquivo
        unlink($caminho . $arquivo);		
		
    // Finaliza a requisição
    exit;
}

//REMOVE ARQUIVO PELA LISTA

// Quando a ação for para remover anexo
if ($_GET['Acao'] == 'ExcluirArquivo')
{
 
    // Recuperando nome do arquivo
    $arquivo = $_GET['arquivo'];
	//REMOVE DA BASE DE DADOS
	$deletar = mysql_query("DELETE FROM arquivos WHERE arquivo='$arquivo'") or die (mysql_error());	
				
    // Caminho dos uploads
    $caminho = 'uploads/';
    // Verificando se o arquivo realmente existe
    if (file_exists($caminho . $arquivo) and !empty($arquivo))
        // Removendo arquivo
        unlink($caminho . $arquivo);		

		echo"
		<script type=\"text/Javascript\">
		window.location = 'listar_arquivos.php?origem=$origem&idcliente=$idcliente&idfornecedor=$idfornecedor&idusuario=$idusuario&idvenda=$idvenda&idconta=$idconta&idpagamento=$idpagamento&idmovimento=$idmovimento&idcompra_prima=$idcompra_prima&idcompra=$idcompra&idobra=$idobra&idservicovenda=$idservicovenda&idservicoobra=$idservicoobra&idpasta=$idpasta&idsubpasta=$idsubpasta&idreembolso=$idreembolso';</script>";
		die;
		
    // Finaliza a requisição
    exit;
}



// Se enviado o formulário
if (isset($_POST['enviar']))
{
    echo 'Arquivos Enviados Com Sucesso! ';
    //echo '<pre>';
    //    print_r($_POST['anexos']);
    //echo '</pre>';
}

//ENVIA NOTIFICAÇÃO OBRAS

if($_GET['envia_notificacao'] == "sim"){

$TituloArquivo = $_GET['TituloPasta']. " / " . $_GET['titulo_arquivo'];

$SelecionaUsuariosEmail = Seleciona("usuarios", "WHERE cargo IN ('2', '3', '15') AND email <> '' ", "");
while($usuarios_email = mysql_fetch_array($SelecionaUsuariosEmail)){
	$Emails[] = strtolower($usuarios_email['email']);	
	$Nomes[] = $usuarios_email['nome'];		
}

	EnviarEmailMultiplo($Emails, $Nomes, "Novo Arquivo na Obra #$codmax - $TituloArquivo", "/home/minhaempresa/public_html/maxlayouts/email_arquivo_obra.php", $Id_Obra);
	
echo "Enviado Com Sucesso!";

}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">

<head>
<meta http-equiv="content-type" content="text/html; charset=utf-8" />
<title>Upload de Arquivos</title>
<!-- Bootstrap 3.3.2 -->
<link href="../bootstrap/css/bootstrap.min.css" rel="stylesheet" type="text/css" />
<script type="text/javascript" src="js/jquery.js"></script>

<style type="text/css">
body {
    font-family: "Trebuchet MS";
    font-size: 14px;    
}

iframe {
    border: 0;
    overflow: hidden;
    margin: 0;
    height: 60px;
    width: 450px;
}

#anexos {
    list-style-image: url(image/file.png);
}

img.remover {
    cursor: pointer;
    vertical-align: bottom;
}
</style>
  
</head>

<body>

<h1>Arquivos Anexados </h1>
<table width="200" border="0" cellspacing="0" cellpadding="2" style="cursor:pointer; float:right; background-color:#FC0; font-weight:bold;">
  <tr>
    <td height="40" align="center" class="TextoMenuBranco">
<a href="index.php?origem=<?php echo $origem;?>&idcliente=<?php echo $idcliente;?>&idfornecedor=<?php echo $idfornecedor;?>&idusuario=<?php echo $idusuario;?>&idvenda=<?php echo $idvenda;?>&idconta=<?php echo $idconta;?>&idpagamento=<?php echo $idpagamento;?>&idmovimento=<?php echo $idmovimento;?>&idcompra_prima=<?php echo $idcompra_prima;?>&idcompra=<?php echo $idcompra;?>&idobra=<?php echo $idobra;?>&idservicovenda=<?php echo $idservicovenda;?>&idservicoobra=<?php echo $idservicoobra;?>&idpasta=<?php echo $idpasta;?>&idsubpasta=<?php echo $idsubpasta;?>&idreembolso=<?php echo $idreembolso;?>" style="color:#FFF">    
    Upload Arquivo
    </a>
    </td>
  </tr>
</table>


<table width="100%" cellpadding="4" class="table table-bordered table-striped" id="example1">
  <thead>
    <tr>
      <th height="30" align="left" bgcolor="#CCCCCC" style="cursor:pointer">Nome</th>
      <th align="left" bgcolor="#CCCCCC" style="cursor:pointer">Data</th>
      <th align="center" bgcolor="#CCCCCC" style="cursor:pointer">Origem</th>
      <th align="left" bgcolor="#CCCCCC" style="cursor:pointer">Download</th>
      <th align="left" bgcolor="#CCCCCC" style="cursor:pointer">&nbsp;</th>
      <th align="left" bgcolor="#CCCCCC" style="cursor:pointer">&nbsp;</th>
      <th align="left" bgcolor="#CCCCCC" style="cursor:pointer">&nbsp;</th>
      <th align="left" bgcolor="#CCCCCC" style="cursor:pointer">Excluir</th>
    </tr>
  </thead>
  <tbody>
    <?php

	$Seleciona = Seleciona("arquivos", "", "ORDER BY datacadastro DESC");
	
	if($origem == "Cliente"){
		$Seleciona = Seleciona("arquivos", "WHERE idcliente='$idcliente'", "ORDER BY datacadastro DESC");
	}
	
	if($origem == "Fornecedor"){
		$Seleciona = Seleciona("arquivos", "WHERE idfornecedor='$idfornecedor'", "ORDER BY datacadastro DESC");
	}	
	
	if($origem == "Usuario"){
		$Seleciona = Seleciona("arquivos", "WHERE idusuario='$idusuario'", "ORDER BY datacadastro DESC");
	}	
	
	if($origem == "Vendas"){
		$Seleciona = Seleciona("arquivos", "WHERE idvenda='$idvenda'", "ORDER BY datacadastro DESC");
	}
	
	if($origem == "ItemVenda"){
		$Seleciona = Seleciona("arquivos", "WHERE idvenda='$idvenda' AND idservicovenda='$idservicovenda'", "ORDER BY datacadastro DESC");
	}	
	
	
	if($origem == "Orcamento"){
		$Seleciona = Seleciona("arquivos", "WHERE idorcamento='$idorcamento'", "ORDER BY datacadastro DESC");
	}				
	
	if($origem == "Contas"){
		$Seleciona = Seleciona("arquivos", "WHERE idconta='$idconta'", "ORDER BY datacadastro DESC");
	}
	
	if($origem == "Pagamento"){
		$Seleciona = Seleciona("arquivos", "WHERE idpagamento='$idpagamento'", "ORDER BY datacadastro DESC");
	}	
	
	if($origem == "Movimento"){
		$Seleciona = Seleciona("arquivos", "WHERE idmovimento='$idmovimento'", "ORDER BY datacadastro DESC");
	}
	
	if($origem == "CompraPrima"){
		$Seleciona = Seleciona("arquivos", "WHERE idcompra_prima='$idcompra_prima'", "ORDER BY datacadastro DESC");
	}
	
	if($origem == "Compra"){
		$Seleciona = Seleciona("arquivos", "WHERE idcompra='$idcompra'", "ORDER BY datacadastro DESC");
	}	
	
	if($origem == "Obra"){
		if($idsubpasta != ""){
		$Seleciona = Seleciona("arquivos", "WHERE idobra='$idobra' AND idpasta='$idpasta'  AND idsubpasta='$idsubpasta'", "ORDER BY datacadastro DESC");
		}else{
		$Seleciona = Seleciona("arquivos", "WHERE idobra='$idobra' AND idpasta='$idpasta'", "ORDER BY datacadastro DESC");			
		}
	}	
	
	if($origem == "ServicoObra"){
		$Seleciona = Seleciona("arquivos", "WHERE idservicoobra='$idservicoobra'", "ORDER BY datacadastro DESC");
	}		
	
	if($origem == "Reembolso"){
		$Seleciona = Seleciona("arquivos", "WHERE idreembolso='$idreembolso'", "ORDER BY datacadastro DESC");
	}										
	
	while($linha = mysql_fetch_array($Seleciona)){
	//NOME PASTA
	$SelecionaPasta = Seleciona("pastas", "WHERE idpasta='".$linha['idpasta']."'", "LIMIT 0,1");
	while($pastas = mysql_fetch_array($SelecionaPasta)){
		$TituloPasta = $pasta['titulo'];	
	}
	
					?>
    <tr>
      <td height="30" align="left" bgcolor="#E8E8E8"><?php echo $linha['titulo'];?></td>
      <td align="left" bgcolor="#E8E8E8"><?php echo $linha['datacadastro'];?></td>
      <td align="left" bgcolor="#E8E8E8"><?php echo $linha['origem'];?></td>
      <td align="center" bgcolor="#E8E8E8">
      <a download="<?php echo $linha['titulo'];?>" href="uploads/<?php echo $linha['arquivo'];?>" target="_blank">
      <img src="image/icone_arquivos.png" style="cursor:pointer" />
      </a>
      </td>
      <td align="center" bgcolor="#E8E8E8"><a href="http://maxlayouts.minhaempresa.online/ferramentas/dwg/samples/leitor_dwg.php?arquivo=http://maxlayouts.minhaempresa.online/arquivos/uploads/<?php echo $linha['arquivo'];?>" target="_blank"><img src="image/iconeDWG.png" style="cursor:pointer" /></a></td>
      <td align="center" bgcolor="#E8E8E8"><a href="https://view.officeapps.live.com/op/view.aspx?src=http://maxlayouts.minhaempresa.online/arquivos/uploads/<?php echo $linha['arquivo'];?>" target="_blank"><img src="image/icone_office.png" style="cursor:pointer" /></a></td>
      <td align="center" bgcolor="#E8E8E8"><a href="listar_arquivos.php?envia_notificacao=sim&amp;arquivo=<?php echo $linha['arquivo'];?>&amp;origem=<?php echo $origem;?>&amp;idcliente=<?php echo $idcliente;?>&amp;idfornecedor=<?php echo $idfornecedor;?>&amp;idusuario=<?php echo $idusuario;?>&amp;idvenda=<?php echo $idvenda;?>&amp;idconta=<?php echo $idconta;?>&amp;idpagamento=<?php echo $idpagamento;?>&amp;idmovimento=<?php echo $idmovimento;?>&amp;idcompra_prima=<?php echo $idcompra_prima;?>&amp;idcompra=<?php echo $idcompra;?>&amp;idobra=<?php echo $idobra;?>&amp;idservicovenda=<?php echo $idservicovenda;?>&amp;idservicoobra=<?php echo $idservicoobra;?>&amp;idpasta=<?php echo $idpasta;?>&amp;idsubpasta=<?php echo $idsubpasta;?>&TituloPasta=<?php echo $TituloPasta;?>&titulo_arquivo=<?php echo $linha['titulo'];?>&idreembolso=<?php echo $idreembolso;?>"><img src="image/email.jpg" style="cursor:pointer" /></a></td>
      <td align="left" bgcolor="#E8E8E8"><a href="listar_arquivos.php?Acao=ExcluirArquivo&arquivo=<?php echo $linha['arquivo'];?>&origem=<?php echo $origem;?>&idcliente=<?php echo $idcliente;?>&idfornecedor=<?php echo $idfornecedor;?>&idusuario=<?php echo $idusuario;?>&idvenda=<?php echo $idvenda;?>&idconta=<?php echo $idconta;?>&idpagamento=<?php echo $idpagamento;?>&idmovimento=<?php echo $idmovimento;?>&idcompra_prima=<?php echo $idcompra_prima;?>&idcompra=<?php echo $idcompra;?>&idobra=<?php echo $idobra;?>&idservicovenda=<?php echo $idservicovenda;?>&idservicoobra=<?php echo $idservicoobra;?>&idpasta=<?php echo $idpasta;?>&idsubpasta=<?php echo $idsubpasta;?>&idreembolso=<?php echo $idreembolso;?>"><img src="image/icone_exclui.gif" style="cursor:pointer" /></a></td>
    </tr>
    <?php }?>
  </tbody>
  <tfoot>
  </tfoot>
</table>
<strong><img src="image/icone_atualizar.png" width="24" height="28" onclick="window.location.reload()" style="cursor:pointer" /></strong>
</body>
</html>